Package ru.bitel.bgbilling.modules.tv.server.runtime

# Class ServiceSpecRuntimeMap

java.lang.Object
ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ServiceSpec,ServiceSpecRuntime>
ru.bitel.bgbilling.modules.tv.server.runtime.ServiceSpecRuntimeMap

All Implemented Interfaces:
  `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`

public class ServiceSpecRuntimeMap extends ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ServiceSpec,ServiceSpecRuntime> implements EventListener<ru.bitel.bgbilling.kernel.event.common.Event>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ServiceSpecRuntimeMap`
  `getInstance(ConnectionSet connectionSet)`
  `protected ServiceSpecRuntime`
  `newValue(ServiceSpec value)`
  `void`
  `notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx)`
  `protected void`
  `onUpdate(Connection con, int moduleId, List<ServiceSpec> list)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory

  `get, getRef, init, list, newValue, onUpdate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static ServiceSpecRuntimeMap getInstance(ConnectionSet connectionSet) throws Exception
    Throws:
      `Exception`

  - ### newValue

    protected ServiceSpecRuntime newValue(ServiceSpec value)
    Specified by:
      `newValue` in class `ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ServiceSpec,ServiceSpecRuntime>`

  - ### onUpdate

    protected void onUpdate(Connection con, int moduleId, List<ServiceSpec> list) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `onUpdate` in class `ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ServiceSpec,ServiceSpecRuntime>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### notify

    public void notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx) throws Exception
    Specified by:
      `notify` in interface `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`
    Throws:
      `Exception`